import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

///
/// @author vay
/// @email hxhvay@126.com
/// @date 2020-05-12
///

/// BaseProvide
class BaseProvider extends ChangeNotifier {
  void onInit() {}

  void onDispose() {}

  @override
  void dispose() {
    this.onDispose();
    super.dispose();
  }

  /// 注册需要通知刷新的组件
  Consumer<T> update<T>(WidgetBuilder builder) {
    return Consumer<T>(
      builder: (BuildContext context, T provide, Widget widget) {
        return builder(context);
      },
    );
  }
}
